<?php
/*
Plugin Name: WP Harbor Hosting
Description: Plugin that let's clients know details about their hosting through WP Harbor.
Version: 1.0
Author: WP Harbor
*/

// Add the dashboard widget
add_action('wp_dashboard_setup', 'add_custom_dashboard_widget', 1);

function add_custom_dashboard_widget() {
    wp_add_dashboard_widget(
        'custom_dashboard_widget', // Widget slug
        'WP Harbor - We Host Your Website',           // Widget title
        'custom_dashboard_widget_content' // Display function
    );
}

// Enqueue styles and scripts in the admin footer
add_action('admin_footer', 'add_custom_dashboard_widget_inline_assets');

function add_custom_dashboard_widget_inline_assets() {
    // Only add on the dashboard
    $screen = get_current_screen();
    if ($screen->base === 'dashboard') {		include( __DIR__ . '/wpharbor_assets/style.php');		include( __DIR__ . '/wpharbor_assets/script.php');
    }
}

// Widget content
function custom_dashboard_widget_content() {		include( __DIR__ . '/wpharbor_assets/content.php');
}
?>